AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Update a payment plan

Update an existing payment plan.

Last updated 13 September 2026

put

https://api.flutterwave.com/v3/payment-plans/{id}

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

id int 32 required
This is the unique id of the payment plan you want to fetch. It is returned in the call to create a payment plan as data.id

FILL IN ALL REQUIRED FIELDS

name string required
The new name of the payment plan

status string required
The new status of the payment plan

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

name string

plan_token string

status string

currency string

amount integer

duration integer

interval string

created_at string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys